Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8273145

Autoconf 2.71 prints warning when generating runnable configure script

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Open
    • Priority: P4
    • Resolution: Unresolved
    • Affects Version/s: 18
    • Fix Version/s: 18
    • Component/s: infrastructure
    • Labels:

      Description

      When using autoconf 2.71 to run our configure script, the following warning is printed:

      Using autoconf at /usr/local/bin/autoconf [autoconf (GNU Autoconf) 2.71]
      stdin:227: warning: AC_CHECK_HEADERS($HEADERS_TO_CHECK): you should use literals
      ./lib/autoconf/headers.m4:217: AC_CHECK_HEADERS is expanded from...
      /Users/ihse/git/jdk-ALT/open/make/autoconf/libraries.m4:93: LIB_SETUP_LIBRARIES is expanded from...
      stdin:227: the top level

      This comes from the "syntax" category of warnings. One solution is to change "-W all" in the call to autoconf to not include the syntax category to silence the warning. There seem to be no other way to suppress a single warning instance.

      The code itself is benign and correct, so it seems a tad stupid to have to change it to silence the warning.

        Attachments

          Activity

            People

            Assignee:
            Unassigned Unassigned
            Reporter:
            ihse Magnus Ihse Bursie
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated: